cutlass::reference::device::TensorForEach< Func, Rank, Params > Struct Template Reference

Launches a kernel calling a functor for each element in a tensor's index space.

`#include <tensor_foreach.h>`

## Public Member Functions

| TensorForEach (Coord< Rank > size, Params params=Params(), int grid_size=0, int block_size=0)
| Constructor performs the operation. More...

## Constructor & Destructor Documentation

template<typename Func, int Rank, typename Params>

cutlass::reference::device::TensorForEach< Func, Rank, Params >::TensorForEach | ( | Coord< Rank > | size,
|  | Params | params = `Params()`,
|  | int | grid_size = `0`,
|  | int | block_size = `0`
| ) |  |

inline

The documentation for this struct was generated from the following file:

- device/tensor_foreach.h